[Python-modules-commits] r33239 - in packages/python-html2text/trunk/debian (7 files)

stefanor at users.alioth.debian.org stefanor at users.alioth.debian.org
Sat Jul 4 17:54:35 UTC 2015


    Date: Saturday, July 4, 2015 @ 17:54:34
  Author: stefanor
Revision: 33239

* New upstream release. (Closes: #789178)
* Drop patches, superseded upstream.
* Add missing Breaks+Replaces on html2markdown.
* Switch watch file to pypi.debian.net.
* Drop XS-Testsuite control header, now unnecessary.
* Add ADT smoke tests, that would have caught #789178.

Added:
  packages/python-html2text/trunk/debian/tests/smoketest
  packages/python-html2text/trunk/debian/tests/smoketest3
Modified:
  packages/python-html2text/trunk/debian/changelog
  packages/python-html2text/trunk/debian/control
  packages/python-html2text/trunk/debian/tests/control
  packages/python-html2text/trunk/debian/watch
Deleted:
  packages/python-html2text/trunk/debian/patches/

Modified: packages/python-html2text/trunk/debian/changelog
===================================================================
--- packages/python-html2text/trunk/debian/changelog	2015-07-04 05:38:49 UTC (rev 33238)
+++ packages/python-html2text/trunk/debian/changelog	2015-07-04 17:54:34 UTC (rev 33239)
@@ -1,3 +1,14 @@
+python-html2text (2015.6.21-1) UNRELEASED; urgency=medium
+
+  * New upstream release. (Closes: #789178)
+  * Drop patches, superseded upstream.
+  * Add missing Breaks+Replaces on html2markdown.
+  * Switch watch file to pypi.debian.net.
+  * Drop XS-Testsuite control header, now unnecessary.
+  * Add ADT smoke tests, that would have caught #789178.
+
+ -- Stefano Rivera <stefanor at debian.org>  Sat, 18 Oct 2014 12:01:24 -0700
+
 python-html2text (2014.9.25-1) unstable; urgency=low
 
   [ Jakub Wilk ]

Modified: packages/python-html2text/trunk/debian/control
===================================================================
--- packages/python-html2text/trunk/debian/control	2015-07-04 05:38:49 UTC (rev 33238)
+++ packages/python-html2text/trunk/debian/control	2015-07-04 17:54:34 UTC (rev 33239)
@@ -16,13 +16,13 @@
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-html2text/trunk/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-XS-Testsuite: autopkgtest
 
 Package: python-html2text
 Architecture: all
 Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
 Recommends: python-feedparser
-Conflicts: html2markdown (<< 3.0.1-2)
+Breaks: html2markdown (<< 3.200.3-3)
+Replaces: html2markdown (<< 3.200.3-3)
 Description: Python module for converting HTML to Markdown text
  html2text is a Python module that converts a page of HTML into clean,
  easy-to-read plain ASCII text. Better yet, that ASCII also happens to be
@@ -35,7 +35,8 @@
 Architecture: all
 Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
 Recommends: python3-feedparser
-Conflicts: html2markdown (<< 3.0.1-2)
+Breaks: html2markdown (<< 3.200.3-3)
+Replaces: html2markdown (<< 3.200.3-3)
 Description: Python module for converting HTML to Markdown text (Python3 version)
  html2text is a Python module that converts a page of HTML into clean,
  easy-to-read plain ASCII text. Better yet, that ASCII also happens to be

Modified: packages/python-html2text/trunk/debian/tests/control
===================================================================
--- packages/python-html2text/trunk/debian/tests/control	2015-07-04 05:38:49 UTC (rev 33238)
+++ packages/python-html2text/trunk/debian/tests/control	2015-07-04 17:54:34 UTC (rev 33239)
@@ -1,5 +1,5 @@
-Tests: unittests
+Tests: smoketest unittests
 Depends: python-all, python-html2text
 
-Tests: unittests3
+Tests: smoketest3 unittests3
 Depends: python3-all, python3-html2text

Added: packages/python-html2text/trunk/debian/tests/smoketest
===================================================================
--- packages/python-html2text/trunk/debian/tests/smoketest	                        (rev 0)
+++ packages/python-html2text/trunk/debian/tests/smoketest	2015-07-04 17:54:34 UTC (rev 33239)
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2> /dev/null)"
+
+cd "$ADTTMP"
+printf '# hi\n\n' > expected.txt
+
+
+for py in $pys; do
+	echo "=== $py ==="
+	echo '<h1>hi</h1>' | $py -m html2text.__init__ > output-${py}.txt
+	diff -u expected.txt output-${py}.txt
+done


Property changes on: packages/python-html2text/trunk/debian/tests/smoketest
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/python-html2text/trunk/debian/tests/smoketest3
===================================================================
--- packages/python-html2text/trunk/debian/tests/smoketest3	                        (rev 0)
+++ packages/python-html2text/trunk/debian/tests/smoketest3	2015-07-04 17:54:34 UTC (rev 33239)
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2> /dev/null)"
+
+cd "$ADTTMP"
+printf '# hi\n\n' > expected.txt
+
+
+for py in $pys; do
+	echo "=== $py ==="
+	echo '<h1>hi</h1>' | $py -m html2text.__init__ > output-${py}.txt
+	diff -u expected.txt output-${py}.txt
+done


Property changes on: packages/python-html2text/trunk/debian/tests/smoketest3
___________________________________________________________________
Added: svn:executable
   + *

Modified: packages/python-html2text/trunk/debian/watch
===================================================================
--- packages/python-html2text/trunk/debian/watch	2015-07-04 05:38:49 UTC (rev 33238)
+++ packages/python-html2text/trunk/debian/watch	2015-07-04 17:54:34 UTC (rev 33239)
@@ -1,3 +1,4 @@
 version=3
 
-https://pypi.python.org/packages/source/h/html2text/html2text-(.*)\.tar.gz
+opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
+http://pypi.debian.net/html2text/html2text-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))




More information about the Python-modules-commits mailing list